Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer.POAPackage
Class AdapterAlreadyExistsHelper

    java.lang.Object
      org.omg.PortableServer.POAPackage.AdapterAlreadyExistsHelper

public abstract class AdapterAlreadyExistsHelper
extends Object

org/omg/PortableServer/POAPackage/AdapterAlreadyExistsHelper.java . Generated by the IDL-to-Java compiler (portable), version "3.1" from ../../../../src/share/classes/org/omg/PortableServer/poa.idl Thursday, June 12, 2003 9:59:11 PM GMT-08:00

Constructor Summary
`AdapterAlreadyExistsHelper()`

Method Summary
`static AdapterAlreadyExists` | `extract(Any a)`
`static String` | `id()`
`static void` | `insert(Any a, AdapterAlreadyExists that)`
`static AdapterAlreadyExists` | `read(InputStream istream)`
`static TypeCode` | `type()`
`static void` | `write(OutputStream ostream, AdapterAlreadyExists value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdapterAlreadyExistsHelper

    public AdapterAlreadyExistsHelper()

Method Detail

### insert

    public static void insert(Any a,
                              AdapterAlreadyExists that)

### extract

    public static AdapterAlreadyExists extract(Any a)

### type

    public static TypeCode type()

### id

    public static String id()

### read

    public static AdapterAlreadyExists read(InputStream istream)

### write

    public static void write(OutputStream ostream,
                             AdapterAlreadyExists value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2003 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.